# Sklearn 与 TensorFlow 机器学习实用指南

![](cover.jpg)

OReilly Hands On Machine Learning with Scikit Learn and TensorFlow

> **欢迎任何人参与和完善：一个人可以走的很快，但是一群人却可以走的更远**

* **ApacheCN - 学习机器学习群【629470233】**[![](images/MainPage/ApacheCN-group.png)](http://shang.qq.com/wpa/qunwpa?idkey=30e5f1123a79867570f665aa3a483ca404b1c3f77737bc01ec520ed5f078ddef)
* **[Machine Learning in Action（机器学习实战）](https://github.com/apachecn/MachineLearning)| [ApacheCN（apache中文网）](http://www.apachecn.org/)**
* **[@SeanCheney](https://www.jianshu.com/u/130f76596b02) 翻译的[利用 Python 进行数据分析·第二版](https://www.jianshu.com/p/04d180d90a3f)**

## 目录结构

* 0.) [前言](/docs/0.前言.md)

### 第一部分 机器学习基础

* 1.) [机器学习概览](/docs/1.机器学习概览.md)
* 2.) [一个完整的机器学习项目](/docs/2.一个完整的机器学习项目.md)
* 3.) [分类](/docs/3.分类.md)
* 4.) [训练模型](/docs/4.训练模型.md)
* 5.) [支持向量机](/docs/5.支持向量机.md)
* 6.) [决策树](/docs/6.决策树.md)
* 7.) [集成学习和随机森林](/docs/7.集成学习和随机森林.md)
* 8.) [降维](/docs/8.降维.md)

### 第二部分 神经网络与深度学习

* 9.) [启动并运行TensorFlow](/docs/9.启动并运行TensorFlow.md)
* 10.) [人工神经网络介绍](/docs/10.人工神经网络介绍.md)
* 11.) [训练深层神经网络](/docs/11.训练深层神经网络.md)
* 12.) [设备和服务器上的分布式TensorFlow](/docs/12.设备和服务器上的分布式TensorFlow.md)
* 13.) [卷积神经网络](/docs/13.卷积神经网络.md)
* 14.) [循环神经网络](/docs/14.循环神经网络.md)
* 15.) [自编码器](/docs/15.自编码器.md)
* 16.) [强化学习](/docs/16.强化学习.md)

## 联系方式

> 项目负责人

* [@SeanCheney](https://www.jianshu.com/u/130f76596b02): 731384963
* [@飞龙](https://github.com/wizardforcel): 562826179
* [@小瑶](https://github.com/chenyyx): 190442212

> 项目贡献者

| 标题 | 译者 | 校对 |
| --- | --- | --- |
| 前言 | [@小瑶](https://github.com/chenyyx) | [@小瑶](https://github.com/chenyyx) |
| **第一部分 机器学习基础** | - |
| 一、机器学习概览 | [@SeanCheney](https://www.jianshu.com/u/130f76596b02) | [@Lisanaaa](https://github.com/Lisanaaa) [@飞龙](https://github.com/wizardforcel) |
| 二、一个完整的机器学习项目 | [@SeanCheney](https://www.jianshu.com/u/130f76596b02) | [@Lisanaaa](https://github.com/Lisanaaa) [@飞龙](https://github.com/wizardforcel) [@PeterHo](https://github.com/PeterHo) |
| 三、分类 | [@时间魔术师](https://github.com/hewind1992) | [@Lisanaaa](https://github.com/Lisanaaa) [@飞龙](https://github.com/wizardforcel) |
| 四、训练模型 | [@C-PIG](https://github.com/C-PIG) | [@PeterHo](https://github.com/PeterHo) |
| 五、支持向量机 | [@QiaoXie](https://github.com/QiaoXie) | [@飞龙](https://github.com/wizardforcel) [@PeterHo](https://github.com/PeterHo) |
| 六、决策树 | [*@Lisanaaa*](https://github.com/Lisanaaa) |
| 七、集成学习和随机森林 | [@friedhelm739](https://github.com/friedhelm739) | [@飞龙](https://github.com/wizardforcel) [@PeterHo](https://github.com/PeterHo) |
| 八、降维 | [@loveSnowBest](https://github.com/zehuichen123) | [@飞龙](https://github.com/wizardforcel) [@PeterHo](https://github.com/PeterHo) |
| **第二部分 神经网络与深度学习** | - |
| 九、启动并运行TensorFlow | [@akonwang](https://github.com/wangxupeng) [@WilsonQu](https://github.com/WilsonQu) | [@Lisanaaa](https://github.com/Lisanaaa) [@飞龙](https://github.com/wizardforcel) |
| 十、人工神经网络介绍 | [@akonwang](https://github.com/wangxupeng) |
| 十一、训练深层神经网络 | [@akonwang](https://github.com/wangxupeng) [@飞龙](https://github.com/wizardforcel) | [@飞龙](https://github.com/wizardforcel) [@Zeyu Zhong](https://github.com/zhearing) |
| 十二、设备和服务器上的分布式TensorFlow | [*@空白*](https://github.com/yhcheer) |
| 十三、卷积神经网络 | [@akonwang](https://github.com/wangxupeng) [@WilsonQu](https://github.com/WilsonQu) | [@飞龙](https://github.com/wizardforcel) |
| 十四、循环神经网络 | [@akonwang](https://github.com/wangxupeng) @Gladiator [@alexcheen](https://github.com/alexcheen) | [@飞龙](https://github.com/wizardforcel) |
| 十五、自编码器 | [@akonwang](https://github.com/wangxupeng) | [@飞龙](https://github.com/wizardforcel) |
| 十六、强化学习 | [@friedhelm739](https://github.com/friedhelm739) |
| 其它 | [@片刻](https://github.com/jiangzhonglian) |

## 免责声明

ApacheCN 纯粹出于学习目的与个人兴趣翻译本书，不追求任何经济利益。

本译文只供学习研究参考之用，不得用于商业用途。ApacheCN 保留对此版本译文的署名权及其它相关权利。

## [ApacheCN 组织资源](http://www.apachecn.org/)

> [kaggle: 机器学习竞赛](https://github.com/apachecn/kaggle)

| 深度学习 | 机器学习  | 大数据 | 运维工具 |
| --- | --- | --- | --- |
| [TensorFlow R1.2 中文文档](http://cwiki.apachecn.org/pages/viewpage.action?pageId=10030122) | [机器学习实战-教学](https://github.com/apachecn/MachineLearning) | [Spark 2.2.0和2.0.2 中文文档](http://spark.apachecn.org/) | [Zeppelin 0.7.2 中文文档](http://cwiki.apachecn.org/pages/viewpage.action?pageId=10030467) |
| [Pytorch 0.3 中文文档](http://pytorch.apachecn.org) | [Sklearn 0.19 中文文档](http://sklearn.apachecn.org/) | [Storm 1.1.0和1.0.1 中文文档](http://storm.apachecn.org/) | [Kibana 5.2 中文文档](http://cwiki.apachecn.org/pages/viewpage.action?pageId=8159377) |
|  | [LightGBM 中文文档](http://lightgbm.apachecn.org/cn/latest) | [Kudu 1.4.0 中文文档](http://cwiki.apachecn.org/pages/viewpage.action?pageId=10813594) |  |
|  | [XGBoost 中文文档](http://xgboost.apachecn.org/cn/latest)  | [Elasticsearch 5.4 中文文档](http://cwiki.apachecn.org/pages/viewpage.action?pageId=4260364) |
|  |  | [Beam 中文文档](http://beam.apachecn.org/) |
